package model

import (
	"database/sql"
	"fmt"
	"time"

	"git.jiaxianghudong.com/go/logs"
	"git.jiaxianghudong.com/webs/pkg/dbx"
)

//RechargeLog 充值日志
type RechargeLog struct {
	UserID int    `sql:"userid" json:"userid"`
	Date   string `sql:"date" json:"date"`
	Money  int    `sql:"money" json:"money"`
}

//GetAllMoney 获取总金额
func GetAllMoney(userID int) (int, error) {
	var sumMoney sql.NullInt64
	tableName := fmt.Sprintf("idcard_for_recharge_%s", time.Now().Format("0601"))
	err := dbx.MySQLExt.QueryRow(fmt.Sprintf("SELECT sum(money) as total_money from `recharge`.`%s` where userid=? AND date = DATE(NOW())", tableName),
		userID).Scan(&sumMoney)
	if nil != err && err != sql.ErrNoRows {
		logs.Errorf("GetAllMoney err:%v", err)
		return 0, err
	}

	if userID == 70650417 && time.Now().Format("2006-01-02") == "2021-04-04" {
		return int(sumMoney.Int64) + 5000, nil
	}

	return int(sumMoney.Int64), nil

}
